/* test how lesstif handles a list with no elements -- DEFECT 1*/

#include <stdio.h>
#include <Xm/List.h>
#include "XdbPrintTree.c"

int
main(int argc, char **argv)
{
    XtAppContext app;
    Widget toplevel, listw;
    
    toplevel = XtVaAppInitialize(&app, "listTest", NULL, 0,
				 &argc, argv, NULL, NULL);

    listw = XtVaCreateManagedWidget( "test_of_list",
				    xmListWidgetClass, toplevel,
				    NULL );

    XtRealizeWidget(toplevel);

    XdbPrintTree(toplevel);

{
static XtWidgetGeometry Expected[] = {
   CWWidth | CWHeight            ,   57,   73,   18,   26, 0,0,0, /* test_of_list */
};
/* toplevel should be replaced with to correct applicationShell */
PrintDetails(toplevel, Expected);
}
  LessTifTestMainLoop(toplevel);

    exit(0);
}
